(function() {
    "use strict";

    angular.module("weChatApp")
        .filter("TranslationFilter", ["TranslationService", TranslationFilter])
    ;

    function TranslationFilter(translationService) {
        return function(input) {
            if(angular.isArray(input)) {
                return translationService.getMessage.apply(null, input);
            } else {
                return translationService.getMessage(input);
            }
        };
    }
}());